Subject: Re: Adoption call criteria for CRH? [was: Re: CRH and RH0]

From: 刘毅松 <[email-masked]>
Date: Fri, 15 May 2020 18:17:47 +0800

Hi John & Bob

There are several SRv6 header compression solutions now, and other solutions are currently still under discussion in spring WG. There are indeed many problems unclarified in the CRH solution and I think it is too early for the adoption. As a operator, it is recommended that all SRv6 header compression solutions can be discussed further.

Thanks
Yisong

-----邮件原件-----
发件人: ipv6 <[email-masked]> 代表 Bob Hinden
发送时间: 2020年5月14日 07:14
收件人: John Scudder <[email-masked]>
抄送: [email-masked]; Bob Hinden <[email-masked]>; [email-masked]
主题: Re: Adoption call criteria for CRH? [was: Re: CRH and RH0]

John,

> On May 13, 2020, at 12:59 PM, John Scudder <[email-masked]> wrote:
> 
> I’m a little confused about this conversation and I’d like to ask the chairs for clarification. My actual questions are at the end of this long(ish) message, and can be summarized as (1) does 6man require consent from SPRING before defining routing headers, and (2) what criteria are the chairs using to decide when an adoption call is OK?
> 
> It seems to me there are at least two, only vaguely related, conversations going on. One of them is a debate about the assertion that 6man can’t even consider taking up CRH unless SPRING approves it. The other is a more free-wheeling line of questioning about “what is CRH for anyway”?
> 
> I presume both of these relate to Ron’s request for an adoption call. Here’s what the minutes from the interim have:
> 
>> Bob: Thank you Ron. I think it's too early for adoption call.
>> 
>> Ron: What is needed to get to adoption call.
>> 
>> Bob: I can't answer right now.
>> 
>> Ron: Can I ask on list?
>> 
>> Bob: OK.
>> 
>> Ole: Related to what's going on in spring.
> 
> Too bad we have no audio recording, but that’s not too far from my recollection. Anyway, I don’t think I’ve seen this answered on list yet, so I’m asking again.
> 
> Regarding the SPRING-related process stuff:
> 
> I have quite a bit of history with how SPRING was chartered; I was one of the original co-chairs and helped write the charter, god help me. I can tell you for certain there was no intent that SPRING should have exclusive ownership of source routing in the IETF, the name isn’t a power-grab, it’s a clever backronym, as we do in the IETF. If one entity in the IETF were to take charge of all source routing, that sounds more like a new area than a WG. But don’t take my word for it, go read the various iterations of the charter. As anyone who’s looked at the Segment Routing document set can tell, Segment Routing is one, very specific, way of doing source routing. As Ketan and others have pointed out, it’s a pile of architecture plus the bits and pieces to instantiate that architecture. That is fine, but the idea that merely because a technology might be used to instantiate part of that architecture, it’s owned by SPRING, is overreach. Just because a sandwich is a filling between two pieces of starch, doesn’t mean every filling between two pieces of starch is a sandwich. [1]

Good to know.

> 
> But at any rate, the question for the chairs is: do you think 6man needs SPRING’s permission in order to consider adopting CRH? Does 6man need permission from SPRING for all routing headers, or just some, and if it’s just some, what characterizes them?

In my view, the general answer to that is no, we don’t need the Spring w.g. permission to consider adopting a new routing header.   If a draft came along that was proposing to update SRH (RFC 8754) we would want to discuss it with the Spring w.g.

In my reading of the current version of CRH, it is not proposing to update RFC 8754.

> 
> Regarding the more general “what is CRH for anyway” stuff:
> 
> This seems to me to be exactly the kind of discussion one would normally have in the context of an adoption call. Why is it not being had in that context? To rewind back to the interim, if it’s still “too early for adoption call”, what has to happen for it not to be too early?

Seems like we are having this discussion now even without a formal adoption call.

Ole and I are discussing this tomorrow.

Bob

> Thanks,
> —John
> [1] https://cuberule.com